# Class ObjectEditingQuery

#### Hierarchy

- ObjectEditingQuery

- Defined in src/objectediting/Query.js:41

#####
Index

### Properties

getQueryableLayerNodesDefered_
gmfThemes_
http_
q_

### Methods

getFeatureInfo
getQueryableLayersInfo

## Properties

### getQueryableLayerNodesDefered_

getQueryableLayerNodesDefered_: IDeferred<ObjectEditingQueryableLayerInfo[]>

- Defined in src/objectediting/Query.js:60
- Defined in src/objectediting/Query.js:68

### gmfThemes_

gmfThemes_: any

- Defined in src/objectediting/Query.js:55

### http_

http_: IHttpService

- Defined in src/objectediting/Query.js:45

### q_

q_: IQService

- Defined in src/objectediting/Query.js:50

## Methods

### getFeatureInfo

- getFeatureInfo(layerInfo: any, coordinate: Coordinate, map: Map): IPromise<Feature<Geometry>>

- From a queryable layer (WMS layer node), use its associated OGC server to issue a single WMS GetFeatureInfo request at a specific location on a specific map to fetch a single feature. If no feature is found, a `null` value is returned.

  ### Returns

  Promise.

  #### Parameters

  - ##### layerInfo: any

    Queryable layer information.

  - ##### coordinate: Coordinate

    Coordinate.

  - ##### map: Map

    Map.

  #### Returns IPromise<Feature<Geometry>>

  - Defined in src/objectediting/Query.js:154

### getQueryableLayersInfo

- getQueryableLayersInfo(): IPromise<ObjectEditingQueryableLayerInfo[]>

- ### Returns

  Promise.

  #### Returns IPromise<ObjectEditingQueryableLayerInfo[]>

  - Defined in src/objectediting/Query.js:66

Generated using TypeDoc